package ru.dbotthepony.kstarbound.item

open class Container(final override val size: Int) : IContainer {
	private val slots = Array(size) { ItemStack.EMPTY }

	override fun get(index: Int): ItemStack {
		return slots[index]
	}

	override fun set(index: Int, value: ItemStack) {
		slots[index] = value
	}
}
